Bug 549393 - [abrt] crash in firefox-3.5.5-1.fc12 [@ WrappedNativeMarker]
[abrt] crash in firefox-3.5.5-1.fc12 [@ WrappedNativeMarker]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:d87e91be76a292eab1985f8042b...
: Triaged
: 549817 568588 569627 571476 581678 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 10:10 EST by Milos Jakubicek
Modified: 2010-12-03 20:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (115.46 KB, text/plain)
2009-12-21 10:10 EST, Milos Jakubicek
no flags Details

  None (edit)
Description Milos Jakubicek 2009-12-21 10:10:39 EST
abrt 1.0.2 detected a crash.

Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.5/firefox --sm-config-prefix /firefox-AmZU8L/ --sm-client-id 10d8c6646f000126105691000000017540024 --screen 0
component: firefox
executable: /usr/lib64/firefox-3.5.5/firefox
kernel: 2.6.31.6-166.fc12.x86_64
package: firefox-3.5.5-1.fc12
rating: 3
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 Milos Jakubicek 2009-12-21 10:10:42 EST
Created attachment 379631 [details]
File: backtrace
Comment 2 Chris Campbell 2009-12-21 15:37:45 EST
#6  <signal handler called>
No symbol table info available.
#7  Mark (this=<value optimized out>) at xpcprivate.h:2002
No locals.
#8  Mark (this=<value optimized out>) at xpcprivate.h:2341
No locals.
#9  WrappedNativeMarker (this=<value optimized out>)
    at xpcwrappednativescope.cpp:506
No locals.
#10 0x0000003ee102c016 in JS_DHashTableEnumerate (table=0x7fb118371e20, etor=
    0x332e6a771a <WrappedNativeMarker(JSDHashTable*, JSDHashEntryHdr*, uint32, void*)>, arg=<value optimized out>) at jsdhash.cpp:724
        entryAddr = 0x7fb102be49d8 "\300\377\303\225"
        i = 2
        capacity = 16
        entrySize = <value optimized out>
        didRemove = 0
        entryLimit = 0x7fb102be4a80 ""
        entry = 0x7fb102be49d8
#11 0x000000332e6a7a55 in Enumerate (arg=0x0, f=0x4a771a, 
    this=<value optimized out>) at xpcmaps.h:165
No locals.
#12 XPCWrappedNativeScope::MarkAllWrappedNativesAndProtos (arg=0x0, f=
    0x4a771a, this=<value optimized out>) at xpcwrappednativescope.cpp:526
        cur = 0x7fb10a1f1780
#13 0x000000332e691ee1 in XPCJSRuntime::GCCallback (cx=0x7fb11d88b400, 
    status=<value optimized out>) at xpcjsruntime.cpp:573
        data = {cx = 0x7fb1182c4f18, rt = 0x1c}
        dyingWrappedJSArray = 0x7fb1288a14f0
        self = 0x7fb1288a1380
#14 0x000000332eac2d3a in DOMGCCallback (cx=<value optimized out>, status=
    JSGC_FINALIZE_END) at nsJSEnvironment.cpp:3692
        result = <value optimized out>


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2009-12-22 14:16:17 EST
*** Bug 549817 has been marked as a duplicate of this bug. ***
Comment 4 Chris Campbell 2010-03-03 16:01:04 EST
*** Bug 569627 has been marked as a duplicate of this bug. ***
Comment 5 Chris Campbell 2010-03-05 08:20:27 EST
*** Bug 568588 has been marked as a duplicate of this bug. ***
Comment 6 Chris Campbell 2010-03-10 15:09:51 EST
*** Bug 571476 has been marked as a duplicate of this bug. ***
Comment 7 Nik Lam 2010-03-21 15:35:33 EDT

How to reproduce
-----
1. Had several browser tabs open, including one to a horde webmail session.
2. Was working on something else when I heard the new message alert sounde (from horde)
3. tried to apply the mailbox filters in horde. The browser became unresponsive and crashed.


Comment
-----
I suspect it was something to do with firefox trying to play the alert sound again (I had it set to check every 1 minute). It might have been trying to run when I ran the filter???
Comment 8 Karel Klíč 2010-05-25 04:27:06 EDT
*** Bug 581678 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2010-11-03 22:51:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 20:24:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.